Get mid call tool
curl --request GET \
--url https://app.voxial.pt/api/user/tools/{id} \
--header 'Accept: <accept>' \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://app.voxial.pt/api/user/tools/{id}"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'Content-Type': '<content-type>',
Accept: '<accept>'
}
};
fetch('https://app.voxial.pt/api/user/tools/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "get_weather",
"description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
"endpoint": "https://api.openweathermap.org/data/2.5/weather",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "city",
"type": "string",
"description": "The city name to get weather for"
},
{
"name": "temperature",
"type": "number",
"description": "Current temperature value"
},
{
"name": "is_raining",
"type": "boolean",
"description": "Whether it is currently raining"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
{
"message": "Tool not found"
}
Mid Call Tools
Get mid call tool
Retrieve a specific mid call tool by ID
GET
/
user
/
tools
/
{id}
Get mid call tool
This endpoint allows you to retrieve detailed information about a specific mid call tool.
Headers
string
required
Bearer token for authentication
string
required
Must be
application/jsonstring
required
Must be
application/jsonPath Parameters
integer
required
The unique identifier of the tool
Response fields
integer
The unique identifier of the tool
string
The name of the tool (lowercase with underscores)
string
Detailed explanation of when and how the AI should use this tool
string
The API endpoint URL that will be called
string
HTTP method (GET, POST, PUT, PATCH, DELETE)
integer
Request timeout in seconds (1-30)
array
array
string
ISO 8601 timestamp when the tool was created
string
ISO 8601 timestamp when the tool was last updated
{
"id": 1,
"name": "get_weather",
"description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
"endpoint": "https://api.openweathermap.org/data/2.5/weather",
"method": "GET",
"timeout": 10,
"headers": [
{
"name": "Content-Type",
"value": "application/json"
},
{
"name": "Authorization",
"value": "Bearer sk_..."
}
],
"schema": [
{
"name": "city",
"type": "string",
"description": "The city name to get weather for"
},
{
"name": "temperature",
"type": "number",
"description": "Current temperature value"
},
{
"name": "is_raining",
"type": "boolean",
"description": "Whether it is currently raining"
}
],
"created_at": "2025-10-10T12:00:00.000000Z",
"updated_at": "2025-10-10T12:00:00.000000Z"
}
{
"message": "Tool not found"
}
Assigning Tools to Assistants
To use this tool with an assistant, see:- Create Assistant - Attach tools using the
tool_idsparameter - Update Assistant - Manage tool assignments using the
tool_idsparameter
⌘I

